
#include <avr/io.h> 
#include <avr/interrupt.h>
#include <stdlib.h>
#include <util/delay.h>
#include "uart.h"
#include "i2c.h"
#include "lcd-routines.h"


int main (void) {

// Initialisierung des LCD
  // Nach der Initialisierung mssen auf dem LCD vorhandene schwarze Balken
  // verschwunden sein

lcd_init();


// erneut Text ausgeben, aber diesmal komfortabler als String
  lcd_string("Hallo Ferdinand!");


/* Text in einzelnen Zeichen ausgeben
  lcd_data( 'T' );
  lcd_data( 'e' );
  lcd_data( 's' );
  lcd_data( 't' );
*/



USART_Init( UBRR_VAL ) ;

uart_puts ("\033[2J");
uart_puts ("\033[32m");
uart_puts ("Hallo Welt\r\n")  ;
uart_putc ( 0x01);
uart_puts ("\r\nHallo Welt 2 ")  ;

_delay_ms(10000);

TWI_init(FAKTOR, TEILER);
char temperatur;
char einer;
char zehner;
char c = 248;


  // Die Ausgabemarke in die 2te Zeile setzen
  lcd_setcursor( 0, 2 );
 
  // erneut Text ausgeben, aber diesmal komfortabler als String
  lcd_string("Hello World!");


	while(1)
	{

	uart_puts ("\033[2J");

	temperatur = TWI_empf(ADRESSE_R);
	einer = ( temperatur % 10 ) + 48;
	zehner = ( temperatur / 10 ) + 48;

	
	if (dat2 >= 0b10000000)
	{
	uart_puts ("\r\nTemperatur ")  ;
	uart_putc (zehner);
	uart_putc (einer);
	uart_puts (",5 ");
	uart_putc (c);
	uart_puts ("C \r\n")  ;
	
	}

	else
	{
	uart_puts ("\r\nTemperatur ")  ;
	uart_putc (zehner);
	uart_putc (einer);
	uart_puts (",0 ");
	uart_putc (c);
	uart_puts ("C \r\n")  ;
	
	}
	_delay_ms(1000);

	}
}
